//box.h



#ifndef __BOX_H
#define __BOX_H


class Box: public Widget
{
	public:
		Box();

		void showAll();

		void add(Widget* w);
		void add(Widget* w, gboolean expand, gboolean fill, guint padding);

		void add(GtkWidget* w);

		void addEnd(Widget* w);
		void addEnd(Widget* w, gboolean expand, gboolean fill, guint padding);
		void addEnd(GtkWidget* w);

};

class HBox: public Box
{
	public:
		HBox(gboolean homogeneous = FALSE, gint spacing = 0);
};

class VBox: public Box
{
	public:
		VBox(gboolean homogeneous = FALSE, gint spacing = 0);
};

#endif //__BOX_H
