//druid.h



#ifndef __DRUID_H
#define __DRUID_H


class DruidPage: public Container
{
	public:
		DruidPage(gchar title[] = "", gchar logo[] = NULL,
				Color* bg = NULL);

		//sets
		void setTitle(gchar title[]);
		void setColorBg(Color* color);
		void setColorLogoBg(Color* color);
};

class DruidPageStart: public DruidPage
{
	public:
		DruidPageStart(gchar title[] = "", gchar text[] = "", Color* bg = NULL);

		//sets
		void setTitle(gchar title[]);
		void setColorBg(Color* color);
		void setColorLogoBg(Color* color);
};

class DruidPageFinish: public DruidPage
{
	public:
		DruidPageFinish(gchar title[] = "", gchar text[] = "", Color* bg = NULL);

		//sets
		void setTitle(gchar title[]);
		void setColorBg(Color* color);
		void setColorLogoBg(Color* color);
};

class Druid: public Widget
{
	public:
		Druid();

		//sets
		void setButtonsSensitive(gboolean back, gboolean next, gboolean cancel);
		void showFinish(gboolean finish = TRUE);

		//useful
		void append(DruidPage* page);
};

#endif //__DRUID_H
