//table.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "table.h"


Table::Table(gint rows, gint columns, gboolean homogeneous = FALSE): Widget()
{
	_widget = gtk_table_new(rows, columns, homogeneous);
}

void Table::attach(Widget* w, gint left, gint right, gint top, gint bottom)
{
	gtk_table_attach_defaults(GTK_TABLE(_widget), w->widget(),
			left, right, top, bottom);
}

void Table::attachFill(Widget* w, gint left, gint right, gint top, gint bottom)
{
	gtk_table_attach(GTK_TABLE(_widget), w->widget(),
			left, right, top, bottom,
			GTK_FILL, GTK_FILL, 0, 0);
}

void Table::showAll()
{
	gtk_widget_show_all(_widget);
}
