//theme.cpp



#include <gnome.h>
#include "theme.h"


Theme::Theme()
{
	_rc_style = gtk_rc_style_new();
}

void Theme::setBg(gchar color[])
{
	GdkColor c;
	gdk_color_parse(color, &c);
	_rc_style->bg[GTK_STATE_NORMAL] = c;
	(int)_rc_style->color_flags[GTK_STATE_NORMAL] |= GTK_RC_BG;
}

void Theme::setBg(Color* color)
{
	_rc_style->bg[GTK_STATE_NORMAL] = *(color->color());
	(int)_rc_style->color_flags[GTK_STATE_NORMAL] |= GTK_RC_BG;
}

void Theme::setFg(gchar color[])
{
	GdkColor c;
	gdk_color_parse(color, &c);
	_rc_style->fg[GTK_STATE_NORMAL] = c;
	(int)_rc_style->color_flags[GTK_STATE_NORMAL] |= GTK_RC_FG;
}

void Theme::setFg(Color* color)
{
	_rc_style->bg[GTK_STATE_NORMAL] = *(color->color());
	(int)_rc_style->color_flags[GTK_STATE_NORMAL] |= GTK_RC_BG;
}
