//toolbar.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "box.h"
#include "window.h"
#include "handle.h"
#include "toolbar.h"
#include "misc.h"

#include "pixmap.h"


Toolbar::Toolbar():
Handle(),
_toolbar(gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH))
{
	add(&_toolbar);
}

void Toolbar::addItem(char text[], char tooltip[], char icon[], Window* window)
{
//	GtkWidget* iconpix;
	Pixmap* iconpix = new Pixmap(icon);

//	iconpix = newPixmapFromXpmFile(icon, window);
//	gtk_widget_show(iconpix);
	gtk_toolbar_append_item(GTK_TOOLBAR(_toolbar.widget()), text, tooltip, NULL, iconpix->widget(), NULL, NULL);
}

void Toolbar::addWidget(Widget* w, char text[], char tooltip[])
{
	gtk_toolbar_append_widget(GTK_TOOLBAR(_toolbar.widget()), w->widget(), text, tooltip);
	w->show();
}

void Toolbar::show()
{
	_toolbar.show();
	Handle::show();
}
