//window.h



#ifndef __WINDOW_H
#define __WINDOW_H


class Window: public Container
{
	private:
		VBox _vbox;
	public:
		Window(gchar title[] = "");

		//useful
		void add(Widget* w);
		void add(Widget* w, gboolean expand, gboolean fill, guint padding);
		void addEnd(Widget* w);
		void addEnd(Widget* w, gboolean expand, gboolean fill, guint padding);
		void show();
		void showAll();

		//fancy
		void setTitle(gchar title[]);
		void setClass(gchar wmname[], gchar wmclass[]);
		void setIconFromFile(gchar filename[]);

		//useful
		void setPolicy(gint allow_shrink, gint allow_grow, gint auto_shrink);
		void setTransientFor(Window* w);
};

#endif //__WINDOW_H
