//clist.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "clist.h"


CList::CList(gint columns)
{
	_widget = gtk_clist_new(columns);
}


//useful
void CList::freeze(gboolean b)
{
	if(b)
		gtk_clist_freeze(GTK_CLIST(_widget));
	else
		gtk_clist_thaw(GTK_CLIST(_widget));
}

gint CList::append(gchar* text[])
{
	return gtk_clist_append(GTK_CLIST(_widget), text);
}

void CList::insert(gint row, gchar* text[])
{
	gtk_clist_insert(GTK_CLIST(_widget), row, text);
}

gint CList::prepend(gchar* text[])
{
	return gtk_clist_prepend(GTK_CLIST(_widget), text);
}

void CList::remove(gint row)
{
	gtk_clist_remove(GTK_CLIST(_widget), row);
}

void CList::clear()
{
	gtk_clist_clear(GTK_CLIST(_widget));
}

//user data
void CList::setData(gint row, gpointer data)
{
	gtk_clist_set_row_data(GTK_CLIST(_widget), row, data);
}
