//list.cpp
//factorize code? not really worth I think...


#include <glib.h>
#include "list.h"


//doubly-linked lists
List::List()
{
	_list = (GList*)NULL;
/*	_i = 0;
	_last = (GList*)NULL;*/
}

List::~List()
{
	g_list_free(_list);
}

//returns
gint List::length()
{
	return g_list_length(_list);
}

GList* List::find(gpointer data)
{
	return g_list_find(_list, data);
}

void* List::get(guint n)
{
/*	GList* list = _list;
	guint i;
	for(i = 0; list && i < n; i++)
		list = list->next;
	if(list && i == n)
		return list->data;
	return NULL;*/
	return g_list_nth_data(_list, n);
}

gint List::pos(void* data)
{
	GList* list = _list;
	for(gint i = 0; list; i++)
	{
		if(list->data == data)
			return i;
		list = list->next;
	}
	return -1;
}

void List::append(gpointer data)
{
	_list = g_list_append(_list, data);
}

void List::concat(List* list)
{
	_list = g_list_concat(_list, list->list());
}

void List::remove(gpointer data)
{
	_list = g_list_remove(_list, data);
}

void List::free()
{
	g_list_free(_list);
	_list = (GList*)NULL;
}

//singly-linked lists
SList::SList()
{
	_list = (GSList*)NULL;
	_last_list = (GSList*)NULL;
	_i = 0;
}

SList::~SList()
{
	g_slist_free(_list);
}

//returns
gint SList::length()
{
	return g_slist_length(_list);
}

//useful
GSList* SList::find(gpointer data)
{
	return g_slist_find(_list, data);
}

void* SList::get(guint n)
{
/*	GSList* list;
	guint i;
	if(_last_list && n >= _i)
	{
		i = _i;
		list = _last_list;
	}
	else
	{
		i = 0;
		list = _list;
	}

	for(; list && i < n; i++)
	{
		list = list->next;
	}
	if(list && i == n)
	{
		_i = i;
		_last_list = list;
		return list->data;
	}
	return NULL;*/
	return g_slist_nth_data(_list, n);
}

gint SList::pos(void* data)
{
	GSList* list = _list;
	for(gint i = 0; list; i++)
	{
		if(list->data == data)
			return i;
		list = list->next;
	}
	return -1;
}

void SList::append(gpointer data)
{
	_last_list = (GSList*)NULL;
	_list = g_slist_append(_list, data);
}

void SList::concat(SList* list)
{
	_last_list = (GSList*)NULL;
	_list = g_slist_concat(_list, list->list());
}

void SList::remove(gpointer data)
{
	_last_list = (GSList*)NULL;
	_list = g_slist_remove(_list, data);
}

void SList::free()
{
	_last_list = (GSList*)NULL;
	g_slist_free(_list);
	_list = (GSList*)NULL;
}
