//pixmap.cpp



#include <gnome.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include "theme.h"
#include "widget.h"
#include "pixmap.h"


Pixmap::Pixmap(gchar filename[])
{
	GdkPixbuf* pixbuf;
	GdkPixmap* gdk_pixmap;
	GdkBitmap* mask;
	pixbuf = gdk_pixbuf_new_from_file(filename);
	gdk_pixbuf_render_pixmap_and_mask(pixbuf, &gdk_pixmap, &mask, 127);
	_widget = gtk_pixmap_new(gdk_pixmap, mask);
	gtk_widget_shape_combine_mask(_widget, mask, 0, 0);
}
