//scroll.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "scroll.h"


Scroll::Scroll(GtkPolicyType hscroll = GTK_POLICY_AUTOMATIC, GtkPolicyType vscroll = GTK_POLICY_AUTOMATIC): Container()
{
	_widget = gtk_scrolled_window_new(NULL, NULL);
	setPolicy(hscroll, vscroll);
}

void Scroll::add(Widget* w)
{
	gtk_container_add(GTK_CONTAINER(_widget), w->widget());
}

void Scroll::add(GtkWidget* w)
{
	gtk_container_add(GTK_CONTAINER(_widget), w);
}

void Scroll::setPolicy(GtkPolicyType hscroll, GtkPolicyType vscroll)
{
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(_widget), hscroll, vscroll);
}
